/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_CHEM_LIB
#define TAU_CHEM_LIB
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class ChemLib;
  }
  
  class TAUEXPORT ChemLib {
  public:
    ChemLib(const char* libFileName);
    ChemLib(const ChemLib &other);
    ChemLib& operator=(const ChemLib& other);
    ~ChemLib();
    internal::ChemLib *impl_;
  };
}
#endif
