/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_CHEM_MOL_H
#define TAU_CHEM_MOL_H
#include <vector>
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class ChemMolecule;
  }
  class TAUEXPORT ChemMolecule {
  public:
    ChemMolecule();
    ChemMolecule(const ChemMolecule &other);
    ChemMolecule& operator=(const ChemMolecule& other);
    ~ChemMolecule();
    internal::ChemMolecule *impl_;
  };
}
#endif
