/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_SURFACE
#define TAU_SURFACE
#include <vector>
#include "tau_config.h"
namespace TAU {
  namespace internal {
    class Surface;
  }
  
  class TAUEXPORT Surface {
  public:
    Surface();
    Surface(const Surface &other);
    Surface& operator=(const Surface& other);
    ~Surface();
    internal::Surface *impl_;
  };
}
#endif
