/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_SURFACE_PARAMS_H
#define TAU_SURFACE_PARAMS_H
#include "GridParams.h"
#include "SurfaceSegmentationParams.h"
#include "tau_config.h"
namespace TAU {
struct SurfaceParams {
  SurfaceParams() {}
  GridParams gridParams;
  SurfaceSegmentationParams segmentationParams;
};
}
#endif
