/*
   This file is part of libTAU,
   copyright: SAMBA group, Tel-Aviv Univ. Israel, 1997.

   Distribution in binary form only is permitted for use with IMP and
   MultiFit, by permission from Prof. Haim Wolfson.
*/

#ifndef TAU_CONFIG_H
#define TAU_CONFIG_H
#ifdef _MSC_VER
  #ifdef TAU_EXPORTS
    #define TAUEXPORT __declspec(dllexport)
  #else
    #define TAUEXPORT __declspec(dllimport)
  #endif
  #define TAULOCAL
#else
  #ifdef GCC_VISIBILITY
    #define TAUEXPORT __attribute__ ((visibility("default")))
    #define TAULOCAL __attribute__ ((visibility("hidden")))
  #else
    #define TAUEXPORT
    #define TAULOCAL
  #endif
#endif
#endif  
